/* Общие стили */
.tmst-orders .tmst-preloader {
	margin-top: 37px;
}
.tmst-orders .tmst-preloader-item {
	height: 180px;
}

.tmst-orders a {
	text-decoration: none;
	color: inherit;
}

/* Список заказов */
.tmst-orders-list,
.tmst-order-details {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
}

/* Месяц-разделитель */

.tmst-orders-list__month-section:first-child {
	margin-top: 0;
}

.tmst-orders-list__month-section {
	margin-top: 30px;
	padding: 5px;
}

.tmst-orders-list__month-header {
	text-transform: capitalize;
}

/* Список заказов */
.tmst-orders-list__list {
	width: 100%;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
}

/* Заказ */
.tmst-orders-list__item {
	cursor: pointer;
	background-color: var(--box-background-color);
	border-radius: var(--box-radius);
	overflow: hidden;
	display: flex;
	padding: 26px 30px;
	gap: 12px;
}
.tmst-orders-list__item:not(:first-child) {
	margin-top: 20px;
}

/* Левая сторона карточки заказа */
.tmst-orders-list__left {
	overflow: hidden;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	justify-content: space-between;
	gap: 23px;
	flex-direction: column;
	flex: 1;
}

.tmst-orders-list__left-up {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	gap: 9px;
	line-height: 27px;
}

.tmst-orders-list__number-short {
	display: none;
}

.tmst-orders-list__left-down {
	display: flex;
	flex-direction: column;
}

.tmst-orders-list__address {
	opacity: 0.5;
	margin-top: 16px;
	white-space: nowrap;
	text-overflow: ellipsis;
	width: 100%;
	overflow: hidden;
}

/* Детали в заказе */
.tmst-orders-list__right {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	position: relative;
	gap: 4px 15px;
	position: relative;
}

.tmst-orders-list__view_order {
	position: absolute;
	bottom: 0;
	right: 0;
	font-size: 1rem;
	display: flex;
	gap: 6px;
	align-items: center;
	height: 24px;
	white-space: nowrap;
}

.tmst-orders-list__view_order > svg {
	margin-top: 2px;
}

/* Товары на странице списка заказов */
.tmst-orders-list__products {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	min-width: 70px;
}

.tmst-orders-list__products-info {
	margin-left: 8px;
}

.tmst-orders-list__products > * {
	margin-right: 5px;
}

.tmst-orders-list__product-image_more {
	border-color: #f8f8f8;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	font-size: 18px;
	font-weight: 400;
}

.tmst-orders-list__product-image__text {
	color: #111;
	opacity: 0.3;
}

/* Цена в загловоке в заказе */
.tmst-orders-list__price {
	font-size: 1rem;
	line-height: 24px;
	font-weight: 600;
	-ms-flex-item-align: start;
	align-self: flex-start;
	white-space: nowrap;
	line-height: 27px;
	margin-right: auto;
}

/* Детальный вид заказа */
.tmst-order-details__content {
	display: flex;
	flex-direction: column;
}

.tmst-order-details__header {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	gap: 7px 15px;
	min-height: 60px;
	padding: 16px 26px;
	background-color: var(--box-background-color);
	border-radius: var(--box-radius);
	margin-bottom: 10px;
	justify-content: space-between;
}

.tmst-order-details__header-content {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	font-weight: 600;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	line-height: 20px;
}

.tmst-order-details__header .tmst-status {
	max-width: unset;
}

.tmst-order-details__header-content > * {
	margin: 2.5px 5px 2.5px 0;
}

.tmst-order-details__comment {
	background-color: #fffcf1;
	color: #333;
	border-radius: var(--box-radius);
	padding: 24px 26px;
	margin-bottom: 10px;
	font-size: 16px;
	line-height: 1.35;
	overflow-wrap: break-word;
}

.tmst-order-details__comment-title {
	font-weight: 500;
	opacity: 0.5;
}

.tmst-order-details__number {
	white-space: nowrap;
}

/* Статус детального заказа */
.tmst-order-details__main {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: justify;
	-ms-flex-pack: justify;
	justify-content: space-between;
	padding-bottom: 35px;
}

.tmst-order-details__time {
	font-weight: 400;
}

.tmst-order-details__main-info {
	flex: 1.8;
}
.tmst-order-details__payment {
	flex: 1;
	margin-bottom: 25px;
	margin-left: 10px;
}

.tmst-order-details__main-info {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
}

.tmst-order-details__main-info-content {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	margin-bottom: 10px;
	background-color: var(--box-background-color);
	border-radius: var(--box-radius);
	padding: 20px 26px 24px;
}

h3.tmst-order-details__section-title {
	margin: 0;
}

.tmst-order-details__section-title {
	font-size: 1rem;
	font-weight: 400;
	line-height: 32px;
	text-transform: uppercase;
}

.tmst-order-details__text {
	font-size: 1rem;
	font-weight: 400;
	line-height: 24px;
	display: flex;
	justify-content: space-between;
}

.tmst-order-details__text.tmst-order-details__text-table dt {
	position: relative;
	width: 30%;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.tmst-order-details__text:not(.tmst-order-details__text__bold) dt {
	opacity: 0.5;
	overflow-wrap: anywhere;
}

.tmst-order-details__text dd {
	opacity: 0.8;
	overflow-wrap: anywhere;
	min-width: 30%;
}

.tmst-order-details__text.tmst-order-details__text-end dd {
	display: flex;
	justify-content: flex-end;
	align-items: flex-end;
}

.tmst-order-details__text.tmst-order-details__text-table dd {
	flex: 1;
}

.tmst-order-details__main dl {
	margin: 0;
}

.tmst-order-details__section-title {
	margin-bottom: 7px !important;
}

.tmst-order-details__summary .tmst-order-details__text {
	display: flex;
	justify-content: space-between;
	width: 100%;
}

.tmst-order-details__info-list .tmst-order-details__text {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: normal;
	-ms-flex-direction: row;
	flex-direction: row;
	-webkit-column-gap: 12px;
	-moz-column-gap: 12px;
	column-gap: 12px;
}

.tmst-order-details__text dd {
	margin: 0;
}

.tmst-order-details__product-list {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	list-style-type: none;
	padding: 0;
	margin: 0;
}

#app .tmst-order-details__product-list {
	padding-left: 0;
}

.tmst-order-details__product-item {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	margin-bottom: 12px;
}

.tmst-order-details__product-item:last-child {
	margin-bottom: 15px;
}

.tmst-order-details__product-item-content {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	width: 100%;
	font-size: 0.875rem;
	padding: 7.5px 0 7.5px 0;
}

.tmst-order-details__product-image-wrapper {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: flex-start;
	-ms-flex-align: flex-start;
	align-items: flex-start;
	padding-right: 7px;
	padding-top: 7.5px;
}

.tmst-order-details__product-image {
	width: 50px;
	height: 50px;
	min-width: 50px;
	min-height: 50px;
}

.tmst-orders-list__product-image {
	width: 70px;
	height: 70px;
	min-width: 70px;
	min-height: 70px;
}

.tmst-order-details__product-image,
.tmst-orders-list__product-image {
	background-color: #f8f8f8;
	-o-object-fit: cover;
	object-fit: cover;
	border-radius: 4px;
}

.tmst-order-details__product-title-wrapper,
.tmst-order-details__product-quantity,
.tmst-order-details__product-price-wrapper {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
}

.tmst-order-details__product-title-wrapper {
	-webkit-box-flex: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
	overflow-wrap: anywhere;
}

.tmst-order-details__product-title-wrapper > * {
	margin-bottom: 2.5px;
}

.tmst-order-details__product-title {
	font-size: 1rem;
	font-weight: 400;
	overflow-wrap: anywhere;
}

.tmst-order-details__product-title-crop {
	line-height: 24px;
	max-height: 48px;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
}

.tmst-order-details__product-title a {
	color: var(--text-color);
	text-decoration: none;
}

.tmst-order-details__product-quantity,
.tmst-order-details__product-price-wrapper {
	min-width: 70px;
	white-space: nowrap;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: start;
	-ms-flex-pack: start;
	justify-content: start;
}

.tmst-order-details__product-price-wrapper {
	-webkit-box-align: end;
	-ms-flex-align: end;
	align-items: flex-end;
	min-width: 110px;
}

.tmst-order-details__product-price-wrapper:last-child {
	margin-left: 5px;
}

.tmst-order-details__product-options,
.tmst-order-details__product-sku,
.tmst-order-details__product-portion {
	font-size: 12px;
	font-weight: 400;
	opacity: 0.7;
}

.tmst-order-details__product-options {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
}

.tmst-order-details__product-option {
	display: inline-block;
}

.tmst-order-details__product-option-name,
.tmst-order-details__product-option-value {
	overflow-wrap: anywhere;
}

.tmst-order-details__summary {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	font-size: 0.875rem;
	margin: 30px 0;
	-webkit-box-align: end;
	-ms-flex-align: end;
	align-items: flex-end;
}

.tmst-order-details__summary div:last-child {
	font-weight: 700;
}

.tmst-order-details__text__bold {
	font-weight: 700;
	margin-top: 10px;
}

.tmst-order-details__summary-total.tmst-order-details__text dt,
.tmst-order-details__summary-total.tmst-order-details__text dd {
	opacity: 1;
}

.tmst-order-details__row {
	display: flex;
	align-items: center;
}

/* Статусы заказов */
.tmst-orders__statuses {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-gap: 5px;
	-moz-gap: 5px;
	gap: 5px;
	height: 27px;
	max-width: 100%;
	flex-wrap: wrap;
	height: fit-content;
}

/* Дата и время */
.tmst-orders__time {
	margin-left: 5px;
}

.tmst-orders__datetime {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
}

.tmst-orders-list__item .tmst-orders__datetime {
	font-weight: 600;
}

.tmst-orders__date,
.tmst-orders__time {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: normal;
	-ms-flex-direction: row;
	flex-direction: row;
	border-radius: 3px;
	padding: 0;
	white-space: nowrap;
	width: -webkit-fit-content;
	width: -moz-fit-content;
	width: fit-content;
}

.tmst-order-details__header-content .tmst-orders__datetime {
	font-weight: 400;
}

/* Доставка */
.tmst-orders__delivery {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: normal;
	-ms-flex-direction: row;
	flex-direction: row;
	font-size: 16px;
	font-weight: 400;
	line-height: 24px;
	font-style: normal;
	-webkit-column-gap: 5px;
	-moz-column-gap: 5px;
	column-gap: 5px;
}

.tmst-order-details__main-info .tmst-orders__delivery {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
}

@media screen and (max-width: 960px) {
	.tmst-order-details__main {
		-webkit-box-orient: vertical;
		-webkit-box-direction: normal;
		-ms-flex-direction: column;
		flex-direction: column;
	}

	.tmst-order-details__text:not(.tmst-order-details__summary-total) {
		justify-content: normal;
	}

	.tmst-order-details__text.tmst-order-details__text-end:not(.tmst-order-details__summary-total) dt {
		position: relative;
		width: 30%;
		white-space: nowrap;
		overflow: hidden;
		text-overflow: ellipsis;
	}

	.tmst-order-details__text.tmst-order-details__text-end:not(.tmst-order-details__summary-total) dd {
		justify-content: flex-start;
	}

	.tmst-order-details__main-info,
	.tmst-order-details__payment {
		width: 100%;
	}

	.tmst-orders__delivery {
		-webkit-box-orient: vertical;
		-webkit-box-direction: normal;
		-ms-flex-direction: column;
		flex-direction: column;
	}

	.tmst-order-details__payment {
		margin-left: 0;
	}
}

@media screen and (max-width: 640px) {
	.tmst-orders-list__number-full {
		display: none;
	}
	.tmst-orders-list__number-short {
		display: inline-block;
	}

	.tmst-orders-list__products {
		overflow: scroll hidden;
		max-width: 100%;
		scrollbar-width: none;
		-ms-flex-item-align: start;
		align-self: flex-start;
	}

	.tmst-orders-list__item {
		flex-direction: column;
	}

	.tmst-orders-list__left {
		gap: 18px;
	}

	.tmst-orders-list__right {
		flex-direction: row-reverse;
		justify-content: flex-end;
		flex-wrap: wrap-reverse;
	}

	.tmst-orders-list__view_order {
		display: none;
	}

	.tmst-order-details__text dt {
		line-height: 16px;
	}

	.tmst-orders__delivery .tmst-order-details__text-table,
	.tmst-order-details__info-list .tmst-order-details__text-table,
	.tmst-order-details__info-list .tmst-order-details__text-end:not(.tmst-order-details__summary-total) {
		flex-direction: column;
		margin-bottom: 12px;
	}

	.tmst-order-details__info-list .tmst-order-details__text-end:not(.tmst-order-details__summary-total) dd {
		justify-content: flex-start;
	}

	.tmst-order-details__text.tmst-order-details__text-table dt,
	.tmst-order-details__text.tmst-order-details__text-end:not(.tmst-order-details__summary-total) dt {
		width: unset;
	}

	.tmst-order-details__product-price-wrapper {
		min-width: 100px;
	}
}

@media screen and (max-width: 480px) and (min-width: 400px) {
	.tmst-order-details__product-image {
		width: 50px;
		height: 50px;
		min-width: 50px;
		min-height: 50px;
	}

	.tmst-order-details__product-quantity {
		min-width: 50px;
	}

	.tmst-order-details__product-price-wrapper {
		min-width: 70px;
	}
}

@media screen and (max-width: 400px) {
	.tmst-order-details__button {
		width: 100%;
		display: flex;
		justify-content: center;
		margin-top: 4px;
	}

	.tmst-order-details__product-image,
	.tmst-orders-list__product-image {
		width: 50px;
		height: 50px;
		min-width: 50px;
		min-height: 50px;
	}

	.tmst-orders-list__product-image_more {
		font-size: 14px;
	}

	.tmst-order-details__product-title {
		font-size: 15px;
		line-height: 17px;
	}

	.tmst-order-details__product-title-wrapper {
		width: 80px;
	}

	.tmst-order-details__product-item-content {
		gap: 5px;
	}

	.tmst-order-details__product-quantity,
	.tmst-order-details__product-price-wrapper,
	.tmst-order-details__product-price {
		white-space: normal;
		width: 35px;
		min-width: 35px;
		overflow-wrap: anywhere;
		text-align: end;
		font-size: 13px;
	}
}

.tlk-app-bg {
	position: absolute;
	width: 100%;
	height: 100%;
}

#app .tmst-orders {
	z-index: 2;
}
